# Migrate Dashboard

Launch stage: GA

`POST /api/2.0/lakeview/dashboards/migrate`

Migrates a classic SQL dashboard to Lakeview.

API scopes: dashboards

## Request body

- `source_dashboard_id` (string, optional)
  UUID of the dashboard to be migrated.
  Example: `4e443c27-9f61-4f2e-a12d-ea5668460bf1`
- `display_name` (string, optional)
  Display name for the new Lakeview dashboard.
  Example: `Monthly Traffic Report`
- `parent_path` (string, optional)
  The workspace path of the folder to contain the migrated Lakeview dashboard.
  Example: `/path/to/dir`
- `update_parameter_syntax` (boolean, optional)
  Flag to indicate if mustache parameter syntax ({{ param }}) should be auto-updated
   to named syntax (:param) when converting datasets in the dashboard.
  Default: `true`

## Returns

Returns the Dashboard object.

## Response

```json
{
  "dashboard_id": "04aab30f99ea444490c10c85852f216c",
  "display_name": "Monthly Traffic Report",
  "path": "/path/to/dir/Monthly Traffic Report.lvdash.json",
  "create_time": "string",
  "update_time": "string",
  "warehouse_id": "47bb1c472649e711",
  "etag": "80611980",
  "serialized_dashboard": "{\"pages\":[{\"name\":\"b532570b\",\"displayName\":\"New Page\"}]}",
  "lifecycle_state": "string",
  "parent_path": "/path/to/dir"
}
```

